> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/rules-engine/actions/types.md).

# Types

At the moment, the following types of action are available (more to come — feel free to reach out to us and submit a feature request if you need specific additional types).&#x20;

Check the single action type pages for more information about how they work:

<table><thead><tr><th width="239">Type</th><th width="250">Description</th><th width="145">Resources<select multiple><option value="hxfpyUUNsewy" label="Promotions" color="blue"></option><option value="3OpwB20hSpiJ" label="Price lists" color="blue"></option></select></th><th width="197" data-type="content-ref">Learn more</th></tr></thead><tbody><tr><td><strong><code>percentage</code></strong></td><td>Applies a percentage discount to the amount of the selected field.</td><td><span data-option="hxfpyUUNsewy">Promotions, </span><span data-option="3OpwB20hSpiJ">Price lists</span></td><td><a href="/pages/g64VT20XFpQTDivlLs6U">/pages/g64VT20XFpQTDivlLs6U</a></td></tr><tr><td><strong><code>fixed_amount</code></strong></td><td>Applies a fixed discount to the unit amount of the selected field (or <a href="/pages/SPSneiTB1Jh2pnsfiNSp#discount-mode">proportionally distributes</a> it based on the related total amount).</td><td><span data-option="hxfpyUUNsewy">Promotions, </span><span data-option="3OpwB20hSpiJ">Price lists</span></td><td><a href="/pages/SPSneiTB1Jh2pnsfiNSp">/pages/SPSneiTB1Jh2pnsfiNSp</a></td></tr><tr><td><strong><code>fixed_price</code></strong></td><td>Overwrites the unit amount of the selected field with the specified value.</td><td><span data-option="hxfpyUUNsewy">Promotions, </span><span data-option="3OpwB20hSpiJ">Price lists</span></td><td><a href="/pages/DYrOhIy8alulSosAVB8B">/pages/DYrOhIy8alulSosAVB8B</a></td></tr><tr><td><strong><code>free_gift</code></strong></td><td>Applies a 100% discount to line items added to the cart as free gifts by targeting them by SKU, bundle, or SKU list IDs.</td><td><span data-option="hxfpyUUNsewy">Promotions</span></td><td><a href="/pages/9UdHJW35Xudb6Ej4iENk">/pages/9UdHJW35Xudb6Ej4iENk</a></td></tr><tr><td><strong><code>buy_x_pay_y</code></strong></td><td>If the quantity of the selected items is a multiple of <code>x</code>, only the same multiple of <code>y</code> units are considered for the total price computation.</td><td><span data-option="hxfpyUUNsewy">Promotions</span></td><td><a href="/pages/snKUTLlBipMGYYL9SEtB">/pages/snKUTLlBipMGYYL9SEtB</a></td></tr><tr><td><strong><code>every_x_discount_y</code></strong></td><td>Applies a fixed amount discount of value <code>y</code> (proportionally distributed based on the quantity of the selected items) for each interval defined by the value <code>x</code> on the amount of a specific field. </td><td><span data-option="hxfpyUUNsewy">Promotions</span></td><td><a href="/pages/7qHGwOfVpDA5p0fbpn6r">/pages/7qHGwOfVpDA5p0fbpn6r</a></td></tr></tbody></table>

{% hint style="warning" %}
As highlighted in the table above, not all the actions might be available for all the [Core API](https://docs.commercelayer.io/core-api-reference/) resources for which the Rules Engine is [currently enabled](/rules-engine/readme.md#core-api-integration). Check the [single resource pages](/rules-engine/resources/promotions.md) for more information.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.commercelayer.io/rules-engine/actions/types.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
